Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514038 - Text invisible in Firefox after Fedora 27 upgrade [Fixed by Firefox 58]
Summary: Text invisible in Firefox after Fedora 27 upgrade [Fixed by Firefox 58]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 14:35 UTC by Andrew Cashner
Modified: 2018-11-30 23:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:25:36 UTC


Attachments (Terms of Use)
Screenshot of Fedora magazine page with invisible text (deleted)
2017-11-16 14:35 UTC, Andrew Cashner
no flags Details

Description Andrew Cashner 2017-11-16 14:35:11 UTC
Created attachment 1353541 [details]
Screenshot of Fedora magazine page with invisible text

Description of problem:
The text on many websites is invisible in Firefox after the upgrade to Fedora 27.

Version-Release number of selected component (if applicable):
57.0

How reproducible:
Try to view a site like https://fedoramagazine.org/upgrading-fedora-26-fedora-27/ or www.youtube.com in Firefox.

Steps to Reproduce:
1. Open https://fedoramagazine.org/upgrading-fedora-26-fedora-27/ in Firefox

Actual results:
Text is invisible.

Expected results:
Text should be visible.

Additional info:
This change only happened after the upgrade. It does not affect every site. I am guessing it has to do with default CSS settings.

Comment 1 Alick Zhao 2017-11-18 19:53:29 UTC
Also seen on Fedora 26 with Firefox 57. Not seen on Android.

Comment 2 henryjr 2017-11-19 02:11:11 UTC
How to reproduce (Fedora 26):

$ fc-match serif
times.ttf: "Times New Roman" "Regular"
$ fc-match sans-serif
arial.ttf: "Arial" "Regular"

$ cat > 1.html
<!doctype html>
<html>
  <body style="font-family: serif">
    hello
    <span style="font-family: sans-serif">world</span>
  </body>
</html>
^D

$ ruby -run -ehttpd . -p8000 &
$ firefox http://127.0.0.1:8000/1.html

The page shows only the single word "world", instead of the "hello world" text.

If you open 1.html using the file:// scheme, it shows the expected "hello world".

Comment 3 henryjr 2017-11-20 06:31:37 UTC
Alright, so it's an issue w/ a new sandbox mechanism. I have webfonts installed in /opt/share/fonts/webfonts/ dir & Firefox refuses to read any font files from that dir.

I added /opt/share/fonts/webfonts/ to security.sandbox.content.read_path_whitelist (in about:config), restarted Firefox, and I no longer see the bug.

More info about the sandbox: http://www.morbo.org/2017/11/linux-sandboxing-improvements-in.html

Comment 4 Alick Zhao 2017-11-21 02:16:03 UTC
(In reply to henryjr from comment #3)
> Alright, so it's an issue w/ a new sandbox mechanism. I have webfonts
> installed in /opt/share/fonts/webfonts/ dir & Firefox refuses to read any
> font files from that dir.
> 
> I added /opt/share/fonts/webfonts/ to
> security.sandbox.content.read_path_whitelist (in about:config), restarted
> Firefox, and I no longer see the bug.
> 
> More info about the sandbox:
> http://www.morbo.org/2017/11/linux-sandboxing-improvements-in.html

Thanks henryjr! The link is very helpful. For me it turns out to be caused by locally installed TeX Live, which is the case in upstream bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1418240

Comment 5 Alick Zhao 2017-11-28 23:09:04 UTC
Seems it has been fixed for Firefox 58: https://bugzilla.mozilla.org/show_bug.cgi?id=1412090

Until Firefox 58 lands in Fedora, the walkaround is to add nonstandard font paths (with trailing /) to security.sandbox.content.read_path_whitelist (in about:config).

Comment 6 Ben Cotton 2018-11-27 13:49:54 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 23:25:36 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.